Bug 1055532 - QEMU should abort when invalid CPU flag name is used
Summary: QEMU should abort when invalid CPU flag name is used
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 822616
Blocks: 822148
TreeView+ depends on / blocked
 
Reported: 2014-01-20 13:49 UTC by Eduardo Habkost
Modified: 2015-03-05 09:43 UTC (History)
14 users (show)

Fixed In Version: qemu-kvm-rhev-2.1.0-5.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 822616
Environment:
Last Closed: 2015-03-05 09:43:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0624 normal SHIPPED_LIVE Important: qemu-kvm-rhev security, bug fix, and enhancement update 2015-03-05 14:37:36 UTC

Comment 5 Miroslav Rezanina 2014-09-24 09:20:14 UTC
Fix included in qemu-kvm-rhev-2.1.0-5.el7

Comment 7 Lin Chen 2014-10-20 10:06:02 UTC
reproduce this bug with unfix version: 
qemu-kvm-rhev-2.1.0-4.el7.x86_64
use command : /usr/libexec/qemu-kvm -cpu SandyBridge,+oooo,enforce

result:
guest can boot,qemu-kvm-rhev not quit and outputs the following info:
(qemu) CPU feature oooo not found

so, this bug is reproduced.


verify with version : qemu-kvm-rhev-2.1.2-4.el7.x86_64

steps:
intel linux guest:
1.boot guest with /usr/libexec/qemu-kvm -cpu SandyBridge,+oooo,enforce

2.boot guest with /usr/libexec/qemu-kvm -cpu SandyBridge,+adx,enforce 

result:
1.qemu-kvm-rhev quit and outputs the following info:
(qemu) qemu-kvm: CPU feature oooo not found

2.qemu-kvm-rhev quit and outputs the following info:
(qemu) warning: host doesn't support requested feature: CPUID.07H:EBX.adx [bit 19]
qemu-kvm: Host doesn't support requested features

AMD linux guest:
1.boot guest with /usr/libexec/qemu-kvm -cpu Opteron_G2,+oooo,enforce 

2.boot guest with /usr/libexec/qemu-kvm -cpu Opteron_G2,+tbm,enforce

result:
1.qemu-kvm-rhev quit and outputs the following info:
(qemu) qemu-kvm: CPU feature oooo not found

2.qemu-kvm-rhev quit and outputs the following info:
(qemu) warning: host doesn't support requested feature: CPUID.80000001H:ECX.svm [bit 2]
warning: host doesn't support requested feature: CPUID.80000001H:ECX.tbm [bit 21]
qemu-kvm: Host doesn't support requested features



according to above test result. this bug is fixed.

Comment 10 errata-xmlrpc 2015-03-05 09:43:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0624.html


Note You need to log in before you can comment on or make changes to this bug.